From 85a5e96f05637b1bb99585468bde8fd64bd61fd6 Mon Sep 17 00:00:00 2001
From: Toralf Niebuhr <gmthor85@aim.com>
Date: Tue, 24 Aug 2010 21:30:15 +0200
Subject: [PATCH] removed some trivial-warnings

---
 modules/access/mms/mmstu.c     |    1 +
 modules/access/zip/zipaccess.c |    1 +
 modules/access/zip/zipstream.c |    1 +
 modules/codec/avcodec/copy.c   |    2 ++
 modules/control/netsync.c      |    4 ++++
 modules/demux/oggseek.c        |   10 ++++++----
 modules/misc/freetype.c        |    2 ++
 modules/misc/lua/demux.c       |    1 +
 src/control/media_player.c     |    1 +
 src/control/video.c            |    1 +
 src/input/es_out.c             |    3 +++
 src/input/es_out.h             |    8 ++++++++
 src/input/input.c              |    1 +
 src/missing.c                  |   18 ++++++++++++++++++
 src/modules/cache.c            |    3 ++-
 src/playlist/item.c            |    2 ++
 src/stream_output/announce.c   |    1 +
 src/stream_output/sap.c        |    1 +
 src/video_output/display.c     |    3 +++
 19 files changed, 59 insertions(+), 5 deletions(-)

diff --git a/modules/access/mms/mmstu.c b/modules/access/mms/mmstu.c
index e58612f..5397398 100644
--- a/modules/access/mms/mmstu.c
+++ b/modules/access/mms/mmstu.c
@@ -1570,6 +1570,7 @@ static void *KeepAliveThread( void *p_data )
         msleep( 10 * CLOCK_FREQ );
     }
     assert(0);
+    return NULL;
 }
 
 static void KeepAliveStart( access_t *p_access )
diff --git a/modules/access/zip/zipaccess.c b/modules/access/zip/zipaccess.c
index 9f4faf4..9143f6d 100644
--- a/modules/access/zip/zipaccess.c
+++ b/modules/access/zip/zipaccess.c
@@ -397,6 +397,7 @@ static uLong ZCALLBACK ZipIO_Write( void* opaque, void* stream,
     (void)opaque; (void)stream; (void)buf; (void)size;
     int zip_access_cannot_write_this_should_not_happen = 0;
     assert(zip_access_cannot_write_this_should_not_happen);
+    VLC_UNUSED (zip_access_cannot_write_this_should_not_happen);
     return 0;
 }
 
diff --git a/modules/access/zip/zipstream.c b/modules/access/zip/zipstream.c
index ac3f87c..9d63dbd 100644
--- a/modules/access/zip/zipstream.c
+++ b/modules/access/zip/zipstream.c
@@ -840,6 +840,7 @@ static uLong ZCALLBACK ZipIO_Write( void* opaque, void* stream,
     (void)opaque; (void)stream; (void)buf; (void)size;
     int ERROR_zip_cannot_write_this_should_not_happen = 0;
     assert( ERROR_zip_cannot_write_this_should_not_happen );
+    VLC_UNUSED (ERROR_zip_cannot_write_this_should_not_happen);
     return 0;
 }
 
diff --git a/modules/codec/avcodec/copy.c b/modules/codec/avcodec/copy.c
index a7ee432..70b17a1 100644
--- a/modules/codec/avcodec/copy.c
+++ b/modules/codec/avcodec/copy.c
@@ -130,6 +130,8 @@ static void Copy2d(uint8_t *dst, size_t dst_pitch,
                     COPY64(&dst[x], &src[x], "movdqa", "movdqu");
             }
         }
+#else
+        VLC_UNUSED (unaligned); VLC_UNUSED (cpu);
 #endif
 
         for (; x < width; x++)
diff --git a/modules/control/netsync.c b/modules/control/netsync.c
index 2f9e778..9f55f22 100644
--- a/modules/control/netsync.c
+++ b/modules/control/netsync.c
@@ -209,6 +209,8 @@ static void *Master(void *handle)
                  : "non-IPv4", /*date*/ 0);
 #endif
     }
+    assert (0);
+    return NULL;
 }
 
 static void *Slave(void *handle)
@@ -268,6 +270,8 @@ static void *Slave(void *handle)
     wait:
         msleep(INTF_IDLE_SLEEP);
     }
+    assert (0);
+    return NULL;
 }
 
 static int InputEvent(vlc_object_t *object, char const *cmd,
diff --git a/modules/demux/oggseek.c b/modules/demux/oggseek.c
index 0f72f5b..d2a122d 100644
--- a/modules/demux/oggseek.c
+++ b/modules/demux/oggseek.c
@@ -150,7 +150,7 @@ static int64_t get_data( demux_t *p_demux, int64_t i_bytes_to_read )
 
 static int64_t find_last_frame (demux_t *p_demux, logical_stream_t *p_stream)
 {
-
+    VLC_UNUSED (p_demux); VLC_UNUSED (p_stream);
     return -1;
 }
 
@@ -203,7 +203,8 @@ static int64_t ogg_seek( demux_t *p_demux, logical_stream_t *p_stream, int64_t i
      *
      */
 
- 
+    VLC_UNUSED (p_demux); VLC_UNUSED (p_stream); VLC_UNUSED (i_tframe); VLC_UNUSED (i_pos_lower);
+    VLC_UNUSED (i_pos_upper); VLC_UNUSED (pi_pagepos); VLC_UNUSED (b_exact);
     return -1;
 }
 
@@ -217,7 +218,8 @@ static int64_t ogg_seek( demux_t *p_demux, logical_stream_t *p_stream, int64_t i
 static demux_index_entry_t *get_bounds_for ( logical_stream_t *p_stream, int64_t i_tframe, 
                                              int64_t *pi_pos_lower, int64_t *pi_pos_upper)
 {
-
+    VLC_UNUSED (p_stream); VLC_UNUSED (i_tframe);
+    VLC_UNUSED (pi_pos_lower); VLC_UNUSED (pi_pos_upper);
     return NULL;
 }
 
@@ -232,7 +234,7 @@ static demux_index_entry_t *get_bounds_for ( logical_stream_t *p_stream, int64_t
 
 int64_t oggseek_get_last_frame ( demux_t *p_demux, logical_stream_t *p_stream )
 {
-
+    VLC_UNUSED (p_demux); VLC_UNUSED (p_stream);
     /* unhandled video format */
     return -1;
 }
diff --git a/modules/misc/freetype.c b/modules/misc/freetype.c
index 7d6c4f6..69ddd62 100644
--- a/modules/misc/freetype.c
+++ b/modules/misc/freetype.c
@@ -371,6 +371,8 @@ static int Create( vlc_object_t *p_this )
         dialog_ProgressDestroy( p_dialog );
         p_dialog = NULL;
     }
+#else
+    VLC_UNUSED (t2);
 #endif
     /* Lets find some fontfile from freetype-font variable family */
     char *psz_fontsize;
diff --git a/modules/misc/lua/demux.c b/modules/misc/lua/demux.c
index 3fe1ef7..ddc8845 100644
--- a/modules/misc/lua/demux.c
+++ b/modules/misc/lua/demux.c
@@ -74,6 +74,7 @@ static int vlclua_demux_read( lua_State *L )
     lua_pushlstring( L, (const char *)p_read, i_read );
     int i_seek = stream_Read( p_demux->s, NULL, i_read );
     assert(i_read==i_seek);
+    VLC_UNUSED (i_seek);
     return 1;
 }
 
diff --git a/src/control/media_player.c b/src/control/media_player.c
index 4b71ec8..8e6bcfe 100644
--- a/src/control/media_player.c
+++ b/src/control/media_player.c
@@ -897,6 +897,7 @@ void *libvlc_media_player_get_hwnd( libvlc_media_player_t *p_mi )
 #ifdef WIN32
     return var_GetAddress (p_mi, "drawable-hwnd");
 #else
+    VLC_UNUSED (p_mi);
     return NULL;
 #endif
 }
diff --git a/src/control/video.c b/src/control/video.c
index 2f122a5..80b1dcc 100644
--- a/src/control/video.c
+++ b/src/control/video.c
@@ -170,6 +170,7 @@ int libvlc_video_get_size( libvlc_media_player_t *p_mi, unsigned num,
     vlc_object_release (p_vout);
     return 0;
 #else
+    VLC_UNUSED (p_mi); VLC_UNUSED (num); VLC_UNUSED (px); VLC_UNUSED (py);
     return -1;
 #endif
 }
diff --git a/src/input/es_out.c b/src/input/es_out.c
index 635b2e9..f32ea90 100644
--- a/src/input/es_out.c
+++ b/src/input/es_out.c
@@ -2575,6 +2575,7 @@ static int EsOutControlLocked( es_out_t *out, int i_query, va_list args )
             const mtime_t i_date = (mtime_t) va_arg( args, mtime_t );
 
             assert( !b_source_paused == !b_paused );
+            VLC_UNUSED (b_source_paused);
             EsOutChangePause( out, b_paused, i_date );
 
             return VLC_SUCCESS;
@@ -2586,6 +2587,7 @@ static int EsOutControlLocked( es_out_t *out, int i_query, va_list args )
             const int i_rate = (int)va_arg( args, int );
 
             assert( i_src_rate == i_rate );
+            VLC_UNUSED (i_src_rate);
             EsOutChangeRate( out, i_rate );
 
             return VLC_SUCCESS;
@@ -2596,6 +2598,7 @@ static int EsOutControlLocked( es_out_t *out, int i_query, va_list args )
             const mtime_t i_date = (mtime_t)va_arg( args, mtime_t );
 
             assert( i_date == -1 );
+            VLC_UNUSED (i_date);
             EsOutChangePosition( out );
 
             return VLC_SUCCESS;
diff --git a/src/input/es_out.h b/src/input/es_out.h
index d0b8111..24de495 100644
--- a/src/input/es_out.h
+++ b/src/input/es_out.h
@@ -89,6 +89,7 @@ static inline void es_out_SetMode( es_out_t *p_out, int i_mode )
 {
     int i_ret = es_out_Control( p_out, ES_OUT_SET_MODE, i_mode );
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
 }
 static inline mtime_t es_out_GetWakeup( es_out_t *p_out )
 {
@@ -96,6 +97,7 @@ static inline mtime_t es_out_GetWakeup( es_out_t *p_out )
     int i_ret = es_out_Control( p_out, ES_OUT_GET_WAKE_UP, &i_wu );
 
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
     return i_wu;
 }
 static inline bool es_out_GetBuffering( es_out_t *p_out )
@@ -104,6 +106,7 @@ static inline bool es_out_GetBuffering( es_out_t *p_out )
     int i_ret = es_out_Control( p_out, ES_OUT_GET_BUFFERING, &b );
 
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
     return b;
 }
 static inline bool es_out_GetEmpty( es_out_t *p_out )
@@ -112,12 +115,14 @@ static inline bool es_out_GetEmpty( es_out_t *p_out )
     int i_ret = es_out_Control( p_out, ES_OUT_GET_EMPTY, &b );
 
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
     return b;
 }
 static inline void es_out_SetDelay( es_out_t *p_out, int i_cat, mtime_t i_delay )
 {
     int i_ret = es_out_Control( p_out, ES_OUT_SET_DELAY, i_cat, i_delay );
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
 }
 static inline int es_out_SetRecordState( es_out_t *p_out, bool b_record )
 {
@@ -143,6 +148,7 @@ static inline void es_out_SetTimes( es_out_t *p_out, double f_position, mtime_t
 {
     int i_ret = es_out_Control( p_out, ES_OUT_SET_TIMES, f_position, i_time, i_length );
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
 }
 static inline void es_out_SetJitter( es_out_t *p_out,
                                      mtime_t i_pts_delay, mtime_t i_pts_jitter, int i_cr_average )
@@ -150,6 +156,7 @@ static inline void es_out_SetJitter( es_out_t *p_out,
     int i_ret = es_out_Control( p_out, ES_OUT_SET_JITTER,
                                 i_pts_delay, i_pts_jitter, i_cr_average );
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
 }
 static inline int es_out_GetEsObjects( es_out_t *p_out, int i_id,
                                        vlc_object_t **pp_decoder, vout_thread_t **pp_vout, aout_instance_t **pp_aout )
@@ -161,6 +168,7 @@ static inline int es_out_GetGroupForced( es_out_t *p_out )
     int i_group;
     int i_ret = es_out_Control( p_out, ES_OUT_GET_GROUP_FORCED, &i_group );
     assert( !i_ret );
+    VLC_UNUSED (i_ret);
     return i_group;
 }
 
diff --git a/src/input/input.c b/src/input/input.c
index 35da58b..1d9e7f1 100644
--- a/src/input/input.c
+++ b/src/input/input.c
@@ -2393,6 +2393,7 @@ static int InputSourceInit( input_thread_t *p_input,
         int i_ret = demux_Control( in->p_demux,
                                    DEMUX_GET_PTS_DELAY, &in->i_pts_delay );
         assert( !i_ret );
+        VLC_UNUSED (i_ret);
         in->i_pts_delay = __MAX( 0, __MIN( in->i_pts_delay, INPUT_PTS_DELAY_MAX ) );
 
 
diff --git a/src/missing.c b/src/missing.c
index 613e080..c59fe98 100644
--- a/src/missing.c
+++ b/src/missing.c
@@ -36,6 +36,7 @@ char *httpd_ClientIP (const httpd_client_t *cl, char *psz_ip)
 {
     (void) cl; (void) psz_ip;
     assert (0);
+    return NULL;
 }
 
 void httpd_ClientModeBidir (httpd_client_t *cl)
@@ -54,6 +55,7 @@ httpd_file_sys_t *httpd_FileDelete (httpd_file_t *file)
 {
     (void) file;
     assert (0);
+    return NULL;
 }
 
 httpd_file_t *httpd_FileNew (httpd_host_t *host,
@@ -67,12 +69,14 @@ httpd_file_t *httpd_FileNew (httpd_host_t *host,
     (void) login; (void) password; (void) acl;
     (void) cb; (void) data;
     assert (0);
+    return NULL;
 }
 
 httpd_handler_sys_t *httpd_HandlerDelete (httpd_handler_t *handler)
 {
     (void) handler;
     assert (0);
+    return NULL;
 }
 
 httpd_handler_t *httpd_HandlerNew (httpd_host_t *host, const char *url,
@@ -85,6 +89,7 @@ httpd_handler_t *httpd_HandlerNew (httpd_host_t *host, const char *url,
     (void) login; (void) password; (void) acl;
     (void) cb; (void) data;
     assert (0);
+    return NULL;
 }
 
 void httpd_HostDelete (httpd_host_t *h)
@@ -108,6 +113,7 @@ const char *httpd_MsgGet (const httpd_message_t *m, const char *name)
 {
     (void) m; (void) name;
     assert (0);
+    return NULL;
 }
 
 void httpd_RedirectDelete (httpd_redirect_t *r)
@@ -121,12 +127,14 @@ httpd_redirect_t *httpd_RedirectNew (httpd_host_t *host,
 {
     (void) host; (void) dst; (void) src;
     assert (0);
+    return NULL;
 }
 
 char *httpd_ServerIP (const httpd_client_t *client, char *ip)
 {
     (void) client; (void) ip;
     assert (0);
+    return NULL;
 }
 
 void httpd_StreamDelete (httpd_stream_t *stream)
@@ -139,6 +147,7 @@ int httpd_StreamHeader (httpd_stream_t *stream, uint8_t *data, int count)
 {
     (void) stream; (void) data; (void) count;
     assert (0);
+    return 0;
 }
 
 httpd_stream_t *httpd_StreamNew (httpd_host_t *host,
@@ -149,12 +158,14 @@ httpd_stream_t *httpd_StreamNew (httpd_host_t *host,
     (void) host; (void) url; (void) content_type;
     (void) login; (void) password; (void) acl;
     assert (0);
+    return NULL;
 }
 
 int httpd_StreamSend (httpd_stream_t *stream, uint8_t *data, int count)
 {
     (void) stream; (void) data; (void) count;
     assert (0);
+    return 0;
 }
 
 httpd_host_t *httpd_TLSHostNew (vlc_object_t *obj, const char *host, int port,
@@ -172,6 +183,7 @@ int httpd_UrlCatch (httpd_url_t *url, int request, httpd_callback_t cb,
 {
     (void) url; (void) request; (void) cb; (void) data;
     assert (0);
+    return 0;
 }
 
 void httpd_UrlDelete (httpd_url_t *url)
@@ -186,6 +198,7 @@ httpd_url_t *httpd_UrlNew (httpd_host_t *host, const char *url,
 {
     (void) host; (void) url; (void) login; (void) password; (void) acl;
     assert (0);
+    return NULL;
 }
 
 httpd_url_t *httpd_UrlNewUnique (httpd_host_t *host, const char *url,
@@ -194,6 +207,7 @@ httpd_url_t *httpd_UrlNewUnique (httpd_host_t *host, const char *url,
 {
     (void) host; (void) url; (void) login; (void) password; (void) acl;
     assert (0);
+    return NULL;
 }
 #endif /* !ENABLE_HTTPD */
 
@@ -345,7 +359,9 @@ char *vlc_sdp_Start (vlc_object_t *obj, const char *cfg,
 int vlm_Control (vlm_t *vlm, int query, ...)
 {
     VLC_UNUSED (vlm);
+    VLC_UNUSED (query);
     assert (0);
+    return 0;
 }
 
 void vlm_Delete (vlm_t *vlm)
@@ -360,6 +376,7 @@ int vlm_ExecuteCommand (vlm_t *vlm, const char *cmd, vlm_message_t **pm)
     VLC_UNUSED (cmd);
     VLC_UNUSED (pm);
     assert (0);
+    return 0;
 }
 
 vlm_message_t *vlm_MessageAdd (vlm_message_t *a, vlm_message_t *b)
@@ -367,6 +384,7 @@ vlm_message_t *vlm_MessageAdd (vlm_message_t *a, vlm_message_t *b)
     VLC_UNUSED (a);
     VLC_UNUSED (b);
     assert (0);
+    return NULL;
 }
 
 void vlm_MessageDelete (vlm_message_t *m)
diff --git a/src/modules/cache.c b/src/modules/cache.c
index 3f09ad8..ac60e18 100644
--- a/src/modules/cache.c
+++ b/src/modules/cache.c
@@ -331,8 +331,9 @@ void CacheLoad( vlc_object_t *p_this, module_bank_t *p_bank, const char *dir )
 static int dummy_callback (vlc_object_t *obj, const char *name,
                            vlc_value_t oldval, vlc_value_t newval, void *data)
 {
-    (void) obj; (void)name; (void)oldval; (void)newval; (void)data;
+    VLC_UNUSED (obj); VLC_UNUSED (name); VLC_UNUSED (oldval); VLC_UNUSED (newval); VLC_UNUSED (data);
     assert (0);
+    return 0;
 }
 
 
diff --git a/src/playlist/item.c b/src/playlist/item.c
index ffb5464..f781f72 100644
--- a/src/playlist/item.c
+++ b/src/playlist/item.c
@@ -845,6 +845,8 @@ int playlist_DeleteItem( playlist_t * p_playlist, playlist_item_t *p_item,
     playlist_ItemRelease( p_item );
 
     return VLC_SUCCESS;
+#else
+    VLC_UNUSED (b_stop);
 #endif
 }
 
diff --git a/src/stream_output/announce.c b/src/stream_output/announce.c
index 37e3300..c98f7f5 100644
--- a/src/stream_output/announce.c
+++ b/src/stream_output/announce.c
@@ -146,4 +146,5 @@ announce_method_t * sout_SAPMethod (void)
 void sout_MethodRelease (announce_method_t *m)
 {
     assert (m == &sap_method);
+    VLC_UNUSED (m);
 }
diff --git a/src/stream_output/sap.c b/src/stream_output/sap.c
index 40e03e8..eeb6de9 100644
--- a/src/stream_output/sap.c
+++ b/src/stream_output/sap.c
@@ -201,6 +201,7 @@ static void *RunThread (void *self)
 
     vlc_cleanup_pop ();
     assert (0);
+    return NULL;
 }
 
 /**
diff --git a/src/video_output/display.c b/src/video_output/display.c
index 5d5f086..9e351ad 100644
--- a/src/video_output/display.c
+++ b/src/video_output/display.c
@@ -558,6 +558,8 @@ static void *VoutDisplayEventKeyDispatch(void *data)
 
         vlc_restorecancel(cancel);
     }
+    assert (0);
+    return NULL;
 }
 
 static void VoutDisplayEventKey(vout_display_t *vd, int key)
@@ -1416,6 +1418,7 @@ static void SplitterDisplay(vout_display_t *vd, picture_t *picture)
 }
 static int SplitterControl(vout_display_t *vd, int query, va_list args)
 {
+    VLC_UNUSED (vd); VLC_UNUSED (query); VLC_UNUSED (args);
     return VLC_EGENERIC;
 }
 static void SplitterManage(vout_display_t *vd)
-- 
1.7.1

